Package org.tmatesoft.svn.core

# Class SVNNodeKind

java.lang.Object
org.tmatesoft.svn.core.SVNNodeKind

All Implemented Interfaces:
  `Serializable`, `Comparable`

public final class SVNNodeKind extends Object implements Comparable, Serializable
The SVNNodeKind class is used to describe the kind of a directory entry (node, in other words). This can be:

- a directory - the node is a directory
- a file - the node is a file
- none - the node is missing (does not exist)
- unknown - the node kind can not be recognized

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  - `SVNDirEntry`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SVNNodeKind`
`DIR`
Defines the directory node kind
`static final SVNNodeKind`
`FILE`
Defines the file node kind
`static final SVNNodeKind`
`NONE`
This node kind is used to say that a node is missing
`static final SVNNodeKind`
`UNKNOWN`
This node kind is used to say that the kind of a node is actually unknown

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
Compares this object with another one.
`int`
`getID()`
`static SVNNodeKind`
`getNodeKindById(int id)`
`static SVNNodeKind`
`parseKind(String kind)`
Parses the passed string and finds out the node kind.
`String`
`toString()`
Represents the current SVNNodeKind object as a string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NONE

public static final SVNNodeKind NONE
This node kind is used to say that a node is missing

### FILE

public static final SVNNodeKind FILE
Defines the file node kind

### DIR

public static final SVNNodeKind DIR
Defines the directory node kind

### UNKNOWN

public static final SVNNodeKind UNKNOWN
This node kind is used to say that the kind of a node is actually unknown

## Method Details

### getNodeKindById

public static SVNNodeKind getNodeKindById(int id)

### parseKind

public static SVNNodeKind parseKind(String kind)
Parses the passed string and finds out the node kind. For instance, `parseKind("dir")` will return `DIR`.

Parameters:
  `kind` - a node kind as a string
Returns:
  an SVNNodeKind representation

### toString

public String toString()
Represents the current SVNNodeKind object as a string.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this object.

### compareTo

public int compareTo(Object o)
Compares this object with another one. Each SVNNodeKind constant has got its own unique id.

Specified by:
  `compareTo` in interface `Comparable`
Parameters:
  `o` - an object to compare with
Returns:
  - -1 - if `o` is either null, or is not an instance of SVNNodeKind, or the id of this object is smaller than the id of `o`;
  - 1 - if the id of this object is bigger than the id of `o`;
  - 0 - if and only if `o` is the same constant value as this one (has the same id)

### getID

public int getID()